Your account will be charged for each request.
The cost can be calculated on the Pricing page.
Backlinks Summary
This endpoint will provide you with an overview of backlinks data available for a given domain, subdomain, or webpage.
This endpoint will provide you with an overview of backlinks data available for a given domain, subdomain, or webpage.
Your account will be charged for each request.
The cost can be calculated on the Pricing page.
All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live API call can contain only one task. The maximum number of calls that can be sent simultaneously is limited to 30.
You can specify the number of results you want to retrieve, filter and sort them.
Below you will find a detailed description of the fields you can use for setting a task.
Description of the fields for setting a task:
| Field name | Type | Description |
|---|---|---|
target | string | domain, subdomain or webpage to get data for |
include_subdomains | boolean | indicates if the subdomains of the |
include_indirect_links | boolean | indicates if indirect links to the |
exclude_internal_backlinks | boolean | indicates if internal backlinks from subdomains to the |
internal_list_limit | integer | maximum number of elements within internal arrays default value: |
backlinks_status_type | string | set what backlinks to return and count default value: |
backlinks_filters | array | filter the backlinks of your |
rank_scale | string | defines the scale used for calculating and displaying the you can use this parameter to choose whether rank values are presented on a 0–100 or 0–1000 scale possible values: default value: learn more about how this parameter works and how ranking metrics are calculated in this Help Center article |
tag | string | user-defined task identifier |
As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.
Description of the fields in the results array:
| Field name | Type | Description |
|---|---|---|
version | string | the current version of the API |
status_code | integer | general status code |
status_message | string | general informational message |
time | string | execution time, seconds |
cost | float | total tasks cost, USD |
tasks_count | integer | the number of tasks in the |
tasks_error | integer | the number of tasks in the |
tasks | array | array of tasks |
id | string | task identifier |
status_code | integer | status code of the task |
status_message | string | informational message of the task |
time | string | execution time, seconds |
cost | float | cost of the task, USD |
result_count | integer | number of elements in the |
path | array | URL path |
data | object | contains the same parameters that you specified in the POST request |
result | array | array of results |
target | string |
|
first_seen | string | date and time when our crawler found the backlink for the |
lost_date | string | date and time when the backlink was lost |
rank | integer |
|
backlinks | integer | indicates the number of backlinks |
backlinks_spam_score | integer | spam score of the backlinks |
crawled_pages | integer | number of crawled pages for the |
info | object | information about the |
server | string | server |
cms | string | content management system |
platform_type | array | platform type |
ip_address | string | IP address of the |
country | string | country code that the |
is_ip | boolean | indicates if the |
target_spam_score | integer | spam score of the |
internal_links_count | integer | number of internal links |
external_links_count | integer | number of external links on the page |
broken_backlinks | integer | number of broken backlinks |
broken_pages | integer | number of broken pages note that the number of broken pages includes pages on the |
referring_domains | integer | indicates the number of referring domains |
referring_domains_nofollow | integer | number of domains pointing at least one nofollow link to the |
referring_main_domains | integer | indicates the number of referring main domains |
referring_main_domains_nofollow | integer | number of main domains pointing at least one nofollow link to the |
referring_ips | integer | number of referring IP addresses |
referring_subnets | integer | number of referring subnetworks |
referring_pages | integer | indicates the number of pages pointing to the target |
referring_links_tld | object | top-level domains of the referring links |
referring_links_types | object | types of referring links |
referring_links_attributes | object | link attributes of the referring links |
referring_links_platform_types | object | types of referring platforms possible values: |
referring_links_semantic_locations | object | semantic locations of the referring links you can get the full list of semantic elements here |
referring_links_countries | object | ISO country codes of the referring links |
referring_pages_nofollow | integer | number of referring pages pointing at least one nofollow link to the |
Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
login="login"
password="password"
cred="$(printf ${login}:${password} | base64)"
curl --location --request POST "https://api.dataforseo.com/v3/backlinks/summary/live"
--header "Authorization: Basic ${cred}"
--header "Content-Type: application/json"
--data-raw '[
{
"target": "explodingtopics.com",
"internal_list_limit": 10,
"include_subdomains": true,
"backlinks_filters": ["dofollow", "=", true],
"backlinks_status_type": "all"
}
]'<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');
$post_array = array();
// simple way to set a task
$post_array[] = array(
"target" => "explodingtopics.com",
"internal_list_limit" => 10,
"include_subdomains" => true,
"backlinks_filters" => ["dofollow", "=", true],
"backlinks_status_type" => "all"
);
try {
// POST /v3/backlinks/summary/live
$result = $client->post('/v3/backlinks/summary/live', $post_array);
print_r($result);
// do something with post result
} catch (RestClientException $e) {
echo "n";
print "HTTP code: {$e->getHttpCode()}n";
print "Error code: {$e->getCode()}n";
print "Message: {$e->getMessage()}n";
print $e->getTraceAsString();
echo "n";
}
$client = null;
?>const post_array = [];
post_array.push({
"target": "explodingtopics.com",
"internal_list_limit": 10,
"include_subdomains": true,
"backlinks_filters": ["dofollow", "=", true],
"backlinks_status_type": "all"
});
const axios = require('axios');
axios({
method: 'post',
url: 'https://api.dataforseo.com/v3/backlinks/summary/live',
auth: {
username: 'login',
password: 'password'
},
data: post_array,
headers: {
'content-type': 'application/json'
}
}).then(function (response) {
var result = response['data']['tasks'];
// Result data
console.log(result);
}).catch(function (error) {
console.log(error);
});from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
target="explodingtopics.com",
internal_list_limit=10,
include_subdomains=True,
backlinks_filters=["dofollow", "=", True],
backlinks_status_type="all"
)
# POST /v3/backlinks/summary/live
response = client.post("/v3/backlinks/summary/live", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
print(response)
# do something with result
else:
print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
public static partial class Demos
{
public static async Task backlinks_summary_live()
{
var httpClient = new HttpClient
{
BaseAddress = new Uri("https://api.dataforseo.com/"),
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
};
var postData = new List<object>();
postData.Add(new
{
target = "explodingtopics.com",
internal_list_limit = 10,
include_subdomains = true,
backlinks_status_type = "all",
backlinks_filters = new object[]
{
new object[] { "dofollow", "=", true }
}
});
// POST /v3/backlinks/summary/live
// the full list of possible parameters is available in documentation
var taskPostResponse = await httpClient.PostAsync("/v3/backlinks/summary/live", new StringContent(JsonConvert.SerializeObject(postData)));
var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if (result.status_code == 20000)
{
// do something with result
Console.WriteLine(result);
}
else
Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
}
}
}The above command returns JSON structured like this:
{
"version": "0.1.20230825",
"status_code": 20000,
"status_message": "Ok.",
"time": "1.0162 sec.",
"cost": 0.02003,
"tasks_count": 1,
"tasks_error": 0,
"tasks": [
{
"id": "09291809-1535-0265-0000-8d49256fe2ad",
"status_code": 20000,
"status_message": "Ok.",
"time": "0.9619 sec.",
"cost": 0.02003,
"result_count": 1,
"path": [
"v3",
"backlinks",
"summary",
"live"
],
"data": {
"api": "backlinks",
"function": "summary",
"target": "explodingtopics.com",
"internal_list_limit": 10,
"include_subdomains": true,
"backlinks_filters": [
"dofollow",
"=",
true
],
"backlinks_status_type": "all"
},
"result": [
{
"target": "explodingtopics.com",
"first_seen": "2020-01-18 11:50:58 +00:00",
"lost_date": null,
"rank": 371,
"backlinks": 41245,
"backlinks_spam_score": 8,
"crawled_pages": 2150,
"info": {
"server": "cloudflare",
"cms": null,
"platform_type": [
"unknown"
],
"ip_address": "172.67.129.80",
"country": "US",
"is_ip": false,
"target_spam_score": 0
},
"internal_links_count": 25507,
"external_links_count": 18419,
"broken_backlinks": 209,
"broken_pages": 265,
"referring_domains": 12372,
"referring_domains_nofollow": 0,
"referring_main_domains": 11438,
"referring_main_domains_nofollow": 0,
"referring_ips": 10401,
"referring_subnets": 6427,
"referring_pages": 38786,
"referring_links_tld": {
"com": 26012,
"pics": 1964,
"net": 1080,
"org": 1031,
"info": 670,
"hu": 548,
"co.uk": 527,
"io": 481,
"best": 416,
"co": 299
},
"referring_links_types": {
"anchor": 36666,
"redirect": 1906,
"image": 210,
"canonical": 4
},
"referring_links_attributes": {
"noopener": 8960,
"noreferrer": 3908,
"external": 167,
"sponsored": 34,
"ugc": 20,
"alternate": 2
},
"referring_links_platform_types": {
"unknown": 15196,
"cms": 13222,
"blogs": 12985,
"organization": 9525,
"message-boards": 2679,
"news": 2295,
"ecommerce": 36
},
"referring_links_semantic_locations": {
"": 20318,
"article": 12403,
"section": 3907,
"main": 1595,
"details": 366,
"figcaption": 116,
"figure": 38,
"header": 28,
"aside": 5,
"nav": 4
},
"referring_links_countries": {
"": 27445,
"US": 3867,
"WW": 1439,
"IN": 738,
"GB": 602,
"IO": 440,
"CO": 275,
"DE": 259,
"IT": 196,
"BR": 181
},
"referring_pages_nofollow": 0
}
]
}
]
}